Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# TAO_PG_Servant_Dispatcher Class Reference

Concrete instantiation of the Servant_Dispatcher strategy. More...

`#include <PG_Servant_Dispatcher.h>`

Inheritance diagram for TAO_PG_Servant_Dispatcher:

[legend]
Collaboration diagram for TAO_PG_Servant_Dispatcher:

[legend]
List of all members.

## Public Member Functions
virtual | ~TAO_PG_Servant_Dispatcher (void)
void | pre_invoke_remote_request (TAO_Root_POA &poa, CORBA::Short servant_priority, TAO_ServerRequest &req, TAO::Portable_Server::Servant_Upcall::Pre_Invoke_State &pre_invoke_state ACE_ENV_ARG_DECL)
| Pre_invoke remote request.
void | pre_invoke_collocated_request (TAO_Root_POA &poa, CORBA::Short servant_priority, TAO::Portable_Server::Servant_Upcall::Pre_Invoke_State &pre_invoke_state ACE_ENV_ARG_DECL)
| Pre_invoke collocated request.
void | post_invoke (TAO_Root_POA &poa, TAO::Portable_Server::Servant_Upcall::Pre_Invoke_State &pre_invoke_state)
| Post_invoke request.
TAO_Root_POA * | create_Root_POA (const ACE_CString &name, TAO_POA_Manager &poa_manager, const TAO_POA_Policy_Set &policies, ACE_Lock &lock, TAO_SYNCH_MUTEX &thread_lock, TAO_ORB_Core &orb_core, TAO_Object_Adapter *object_adapter ACE_ENV_ARG_DECL)
| Factory method for creating new POA's.

## Detailed Description

Concrete instantiation of the Servant_Dispatcher strategy.

This class just calls _dispatch on the servant_upcall. No extra processing is done or needed.

## Constructor & Destructor Documentation

TAO_BEGIN_VERSIONED_NAMESPACE_DECL TAO_PG_Servant_Dispatcher::~TAO_PG_Servant_Dispatcher | ( | void |  | ) | `[virtual]`

## Member Function Documentation

TAO_Root_POA* TAO_PG_Servant_Dispatcher::create_Root_POA | ( | const ACE_CString & | name,
|  | TAO_POA_Manager & | poa_manager,
|  | const TAO_POA_Policy_Set & | policies,
|  | ACE_Lock & | lock,
|  | TAO_SYNCH_MUTEX & | thread_lock,
|  | TAO_ORB_Core & | orb_core,
|  | TAO_Object_Adapter *object_adapter | ACE_ENV_ARG_DECL
| ) |

| Factory method for creating new POA's.

void TAO_PG_Servant_Dispatcher::post_invoke | ( | TAO_Root_POA & | poa,
|  | TAO::Portable_Server::Servant_Upcall::Pre_Invoke_State & | pre_invoke_state
| ) | `[virtual]`

| Post_invoke request. Implements TAO_Servant_Dispatcher.

void TAO_PG_Servant_Dispatcher::pre_invoke_collocated_request | ( | TAO_Root_POA & | poa,
|  | CORBA::Short | servant_priority,
|  | TAO::Portable_Server::Servant_Upcall::Pre_Invoke_State &pre_invoke_state | ACE_ENV_ARG_DECL
| ) |

| Pre_invoke collocated request.

void TAO_PG_Servant_Dispatcher::pre_invoke_remote_request | ( | TAO_Root_POA & | poa,
|  | CORBA::Short | servant_priority,
|  | TAO_ServerRequest & | req,
|  | TAO::Portable_Server::Servant_Upcall::Pre_Invoke_State &pre_invoke_state | ACE_ENV_ARG_DECL
| ) |

| Pre_invoke remote request.

The documentation for this class was generated from the following files:

- PG_Servant_Dispatcher.h
- PG_Servant_Dispatcher.cpp